# class NaptrRecord | A NAPTR record. More...
Full name | `TelEngine::NaptrRecord`
Definition | `#include <yateclass.h>`
Inherits | TelEngine::DnsRecord [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- NaptrRecord (int ord, int pref, const char* flags, const char* serv, const char* regexp, const char* next)
- bool replace (String& str)
- virtual void dump (String& buf, const char* sep = " ")
- inline const String& flags () const
- inline const String& serv () const
- inline const String& nextName () const

#### Protected Members

- String m_flags
- String m_service
- Regexp m_regmatch
- String m_template
- String m_next

## Detailed Description

This class holds a NAPTR (Naming Authority Pointer) record

NaptrRecord (int ord, int pref, const char* flags, const char* serv, const char* regexp, const char* next) | ### NaptrRecord

Build a NAPTR record

Parameters:

ord | Record order
pref | Record preference
flags | Interpretation flags
serv | Available services
regexp | Substitution expression
next | Next name to query

bool replace (String& str) | ### replace

Replace the enclosed template in a given string if matching the substitution expression

Parameters:

str | String to replace

Returns: True on success

void dump (String& buf, const char* sep = " ") | ### dump

[virtual]

Dump this record for debug purposes

Parameters:

buf | Destination buffer
sep | Fields separator

Reimplemented from DnsRecord.

inline const String& flags () | ### flags

[const]

Retrieve record interpretation flags

Returns: Record interpretation flags

inline const String& serv () | ### serv

[const]

Retrieve available services

Returns: Available services

inline const String& nextName () | ### nextName

[const]

Retrieve the next domain name to query

Returns: The next domain to query

String m_flags | ### m_flags

[protected]

String m_service | ### m_service

[protected]

Regexp m_regmatch | ### m_regmatch

[protected]

String m_template | ### m_template

[protected]

String m_next | ### m_next

[protected]

Generated by: paulc on bussard on Fri Dec 21 16:28:34 2012, using kdoc 2.0a54.